aboutsummaryrefslogtreecommitdiffstats
path: root/repo/features/brahmaputra/make_opencon-trail.sh
diff options
context:
space:
mode:
authorYifei Xue <xueyifei@huawei.com>2016-11-02 18:09:35 +0800
committerYifei Xue <xueyifei@huawei.com>2016-11-17 15:24:46 +0800
commit35086233fdfb4163c589fc258229a931bb02df1a (patch)
tree7732c2e11fc4964ccaa65c74242386c4743a7edb /repo/features/brahmaputra/make_opencon-trail.sh
parentb15421ac53b8f57011613e29505cd8c0275b5066 (diff)
Create make_repo directory and optimize the current repo making related script
JIRA: COMPASS-496 Change-Id: I662d996382d38a3e9d0de6598dabe403b9d51665 Signed-off-by: Yifei Xue <xueyifei@huawei.com>
Diffstat (limited to 'repo/features/brahmaputra/make_opencon-trail.sh')
-rw-r--r--repo/features/brahmaputra/make_opencon-trail.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/repo/features/brahmaputra/make_opencon-trail.sh b/repo/features/brahmaputra/make_opencon-trail.sh
new file mode 100644
index 00000000..b68fa3c8
--- /dev/null
+++ b/repo/features/brahmaputra/make_opencon-trail.sh
@@ -0,0 +1,20 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2016 HUAWEI TECHNOLOGIES CO.,LTD and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -ex
+
+TIMEOUT=10
+
+PACKAGE_URL=http://205.177.226.237:9999
+
+for i in open-contrail.tar.gz; do
+ curl --connect-timeout $TIMEOUT -o /$i $PACKAGE_URL/$i
+done
+
+